%define debug_package %{nil}
%define product_family Red Hat OpenStack Platform
%define release_name Queens
%define base_release_version 13
%define full_release_version 13.0
%define release_file rhosp-release

Name:           %{release_file}%{?variant_lowercase:-%{variant_lowercase}}
Version:        %{full_release_version}
Release:        3%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       %{release_file} = %{version}-%{release}
BuildArch:      noarch


%description
%{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep
echo OK

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release and /etc/% {release_file}
echo "%{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > %{buildroot}/%{_sysconfdir}/%{release_file}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_sysconfdir}/%{release_file}

%changelog
* Thu May 10 2018 Jon Schlueter <jschluet@redhat.com> - 13.0-3
- Update for OSP 13 GA (rhbz#1576785)

* Tue Dec 19 2017 Mike Burns <mburns@redhat.com> - 13.0-1
- Update for OSP 13 Beta
